#include <stdio.h>
#include <string.h>

/* NADOVEZIVANJE DO NAJVECEG BROJA */

int cstr(char *, char *, int);

int main()
{
    char a[32], b[32], c[32];
    char ac[32], bc[32], cc[32];
    char p[32];

    int maxln, txchar;

    int i;

    scanf("%s %s %s", a, b, c);

    strcpy(ac, a);
    strcpy(bc, b);
    strcpy(cc, c);

    maxln = strlen(a);
    if (strlen(b) > maxln) maxln = strlen(b);
    if (strlen(c) > maxln) maxln = strlen(c);

    for (i = strlen(a); i < maxln; ++i)
        a[i] = '0';
    a[i] = '\0';

    for (i = strlen(b); i < maxln; ++i)
        b[i] = '0';
    b[i] = '\0';

    for (i = strlen(c); i < maxln; ++i)
        c[i] = '0';
    c[i] = '\0';

    if (cstr(b, a, maxln)){
        strcpy(p, a);
        strcpy(a, b);
        strcpy(b, p);

        strcpy(p, ac);
        strcpy(ac, bc);
        strcpy(bc, p);
    }

    if (cstr(c, a, maxln)){
        strcpy(p, a);
        strcpy(a, c);
        strcpy(c, p);

        strcpy(p, ac);
        strcpy(ac, cc);
        strcpy(cc, p);
    }

    if (cstr(c, b, maxln)){
        strcpy(p, b);
        strcpy(b, c);
        strcpy(c, p);

        strcpy(p, bc);
        strcpy(bc, cc);
        strcpy(cc, p);
    }

    printf("%s%s%s", ac, bc, cc);

    return 0;
}

int cstr(char *a, char *b, int l)
{
    int i;

    for (i = 0; i < l; ++i){
        if (a[i] > b[i])
            return 1;
        if (b[i] > a[i])
            return 0;
    }

    return 1;
}